# Styles

class `praw.models.``Styles`(reddit: Reddit, _data: Optional[Dict[str, Any]])

  Class to represent the style information of a widget.

  Typical Attributes

  This table describes attributes that typically belong to objects of this class. Since attributes are dynamically provided (see Determine Available Attributes of an Object), there is not a guarantee that these attributes will always be present, nor is this list comprehensive in any way.

  Attribute | Description
  --- | ---
  `backgroundColor` | The background color of a widget, given as a hexadecimal (`0x######`).
  `headerColor` | The header color of a widget, given as a hexadecimal (`0x######`).

  `__init__`(reddit: Reddit, _data: Optional[Dict[str, Any]])

    Initialize a PRAWModel instance.

    Parameters

      reddit – An instance of `Reddit`.

  classmethod `parse`(data: Dict[str, Any], reddit: Reddit) → Any

    Return an instance of `cls` from `data`.

    Parameters

      - data – The structured data.

      - reddit – An instance of `Reddit`.